Loading...
Searching...
No Matches
Ogre::RotationAffector Class Reference
Plugins » ParticleFX

This affector rotates particles in flight. More...

`#include <OgreRotationAffector.h>`

Inheritance diagram for Ogre::RotationAffector:
[legend]

## Classes

class | CmdRotationRangeEnd
| Command object for particle emitter - see ParamCommand. More...
class | CmdRotationRangeStart
| Command object for particle emitter - see ParamCommand. More...
class | CmdRotationSpeedRangeEnd
| Command object for particle emitter - see ParamCommand. More...
class | CmdRotationSpeedRangeStart
| Command object for particle emitter - see ParamCommand. More...

## Public Member Functions

| RotationAffector (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| Method called to allow the affector to 'do it's stuff' on all active particles in the system.
void | _initParticle (Particle *pParticle) override
| Method called to allow the affector to initialize all newly created particles in the system.
const Radian & | getRotationRangeEnd (void) const
| Gets the maximum rotation of particles to be emitted.
const Radian & | getRotationRangeStart (void) const
| Gets the minimum rotation of particles to be emitted.
const Radian & | getRotationSpeedRangeEnd (void) const
| Gets the maximum rotation speed of particles to be emitted.
const Radian & | getRotationSpeedRangeStart (void) const
| Gets the minimum rotation speed of particles to be emitted.
void | setRotationRangeEnd (const Radian &angle)
| Sets the maximum rotation angle of particles to be emitted.
void | setRotationRangeStart (const Radian &angle)
| Sets the minimum rotation angle of particles to be emitted.
void | setRotationSpeedRangeEnd (const Radian &angle)
| Sets the maximum rotation speed of particles to be emitted.
void | setRotationSpeedRangeStart (const Radian &angle)
| Sets the minimum rotation speed of particles to be emitted.
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
const String & | getType (void) const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary (void)
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary (void) const
String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object.
bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes

static CmdRotationRangeEnd | msRotationRangeEndCmd
static CmdRotationRangeStart | msRotationRangeStartCmd
static CmdRotationSpeedRangeEnd | msRotationSpeedRangeEndCmd
static CmdRotationSpeedRangeStart | msRotationSpeedRangeStartCmd

## Additional Inherited Members

Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Detailed Description

This affector rotates particles in flight.

## Constructor & Destructor Documentation

## RotationAffector()

Ogre::RotationAffector::RotationAffector | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## _initParticle()

void Ogre::RotationAffector::_initParticle | ( | Particle * | pParticle | ) |

override virtual

Method called to allow the affector to initialize all newly created particles in the system.

This is where the affector gets the chance to initialize it's effects to the particles of a system. The affector is expected to initialize some or all of the particles in the system passed to it, depending on the affector's approach.

Parameters

  pParticle | Pointer to a Particle to initialize.

Reimplemented from Ogre::ParticleAffector.

## _affectParticles()

void Ogre::RotationAffector::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed )

override virtual

Method called to allow the affector to 'do it's stuff' on all active particles in the system.

This is where the affector gets the chance to apply it's effects to the particles of a system. The affector is expected to apply it's effect to some or all of the particles in the system passed to it, depending on the affector's approach.

Parameters

  pSystem | Pointer to a ParticleSystem to affect.
  timeElapsed | The number of seconds which have elapsed since the last call.

Implements Ogre::ParticleAffector.

## setRotationSpeedRangeStart()

void Ogre::RotationAffector::setRotationSpeedRangeStart | ( | const Radian & | angle | ) |

Sets the minimum rotation speed of particles to be emitted.

## setRotationSpeedRangeEnd()

void Ogre::RotationAffector::setRotationSpeedRangeEnd | ( | const Radian & | angle | ) |

Sets the maximum rotation speed of particles to be emitted.

## getRotationSpeedRangeStart()

const Radian & Ogre::RotationAffector::getRotationSpeedRangeStart | ( | void |  | ) | const

Gets the minimum rotation speed of particles to be emitted.

## getRotationSpeedRangeEnd()

const Radian & Ogre::RotationAffector::getRotationSpeedRangeEnd | ( | void |  | ) | const

Gets the maximum rotation speed of particles to be emitted.

## setRotationRangeStart()

void Ogre::RotationAffector::setRotationRangeStart | ( | const Radian & | angle | ) |

Sets the minimum rotation angle of particles to be emitted.

## setRotationRangeEnd()

void Ogre::RotationAffector::setRotationRangeEnd | ( | const Radian & | angle | ) |

Sets the maximum rotation angle of particles to be emitted.

## getRotationRangeStart()

const Radian & Ogre::RotationAffector::getRotationRangeStart | ( | void |  | ) | const

Gets the minimum rotation of particles to be emitted.

## getRotationRangeEnd()

const Radian & Ogre::RotationAffector::getRotationRangeEnd | ( | void |  | ) | const

Gets the maximum rotation of particles to be emitted.

## Member Data Documentation

## msRotationSpeedRangeStartCmd

CmdRotationSpeedRangeStart Ogre::RotationAffector::msRotationSpeedRangeStartCmd

static

## msRotationSpeedRangeEndCmd

CmdRotationSpeedRangeEnd Ogre::RotationAffector::msRotationSpeedRangeEndCmd

static

## msRotationRangeStartCmd

CmdRotationRangeStart Ogre::RotationAffector::msRotationRangeStartCmd

static

## msRotationRangeEndCmd

CmdRotationRangeEnd Ogre::RotationAffector::msRotationRangeEndCmd

static

The documentation for this class was generated from the following file:

- OgreRotationAffector.h